Bug 882239 - SSO doesn't work with rhevm-guest-agent, rhevm-guest-agent-{pam,gdm-plugin}
SSO doesn't work with rhevm-guest-agent, rhevm-guest-agent-{pam,gdm-plugin}
Status: CLOSED ERRATA
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-guest-agent (Show other bugs)
3.1.0
x86_64 Linux
unspecified Severity high
: ---
: 3.2.0
Assigned To: Vinzenz Feenstra [evilissimo]
Jiri Belka
virt
:
: 928860 (view as bug list)
Depends On: 885432 905930
Blocks: 915537
  Show dependency treegraph
 
Reported: 2012-11-30 08:31 EST by Jiri Belka
Modified: 2013-06-10 16:10 EDT (History)
7 users (show)

See Also:
Fixed In Version: rhevm-guest-agent-1.0.7-11.el6ev
Doc Type: Bug Fix
Doc Text:
Cause: Missing call of restorecon on the pid file of the daemon Consequence: SELinux was blocking the access to the pid file and this caused the single sign on to fail. Fix: Calling restorecon on the pidfile during daemon startup Result: Single sign on works.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-10 16:10:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
vdsm.log, ovirt-guest-agent.log (13.95 KB, application/x-tar)
2013-03-14 14:51 EDT, Jiri Belka
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 11301 None None None Never

  None (edit)
Description Jiri Belka 2012-11-30 08:31:36 EST
Description of problem:

SSO doesn't work with "latest" rhevm-guest-agent, rhevm-guest-agent-{pam,gdm-plugin} from UserPortal. Altought ssh to the guest with RHEV\portaluser4 works OK.

Version-Release number of selected component (if applicable):

rhevm-guest-agent-gdm-plugin-1.0.5-5.el6ev.x86_64
rhevm-guest-agent-pam-module-1.0.5-5.el6ev.x86_64
rhevm-guest-agent-1.0.5-5.el6ev.x86_64


How reproducible:
100%

Steps to Reproduce:
1. Add guest to AD and test with ssh that it works ok.
2. Install rhevm-guest-agent, rhevm-guest-agent-{pam,gdm-plugin} from https://brewweb.devel.redhat.com/taskinfo?taskID=5145336
3. Try SSO from UP.
  
Actual results:

No SSO, user sees login screen with 'RHEV-M Authentication' text.

Expected results:


Additional info:

Dummy-1::DEBUG::2012-11-30 14:29:17,874::OVirtAgentLogic::115::root::AgentLogicBase::doListen() - entered
Dummy-1::DEBUG::2012-11-30 14:29:17,874::OVirtAgentLogic::121::root::AgentLogicBase::doListen() - in loop before vio.read
Dummy-2::DEBUG::2012-11-30 14:29:17,874::OVirtAgentLogic::77::root::AgentLogicBase:: doWork() entered
Dummy-2::DEBUG::2012-11-30 14:29:17,877::OVirtAgentLogic::169::root::AgentLogicBase::sendUserInfo - cur_user = 'root'
CredServer::INFO::2012-11-30 14:29:17,919::CredServer::220::root::CredServer is running...
Dummy-2::DEBUG::2012-11-30 14:29:26,931::OVirtAgentLogic::169::root::AgentLogicBase::sendUserInfo - cur_user = 'root'
Dummy-2::DEBUG::2012-11-30 14:29:36,945::OVirtAgentLogic::169::root::AgentLogicBase::sendUserInfo - cur_user = 'root'
Dummy-1::INFO::2012-11-30 14:29:40,315::OVirtAgentLogic::130::root::Received an external command: login...
Dummy-1::DEBUG::2012-11-30 14:29:40,315::OVirtAgentLogic::151::root::User log-in (credentials = "\x00\x00\x00'portaluser4@rhev.lab.eng.brq.redhat.com********\x00")
Dummy-1::INFO::2012-11-30 14:29:40,315::CredServer::172::root::The following users are allowed to connect: [0]
Dummy-1::DEBUG::2012-11-30 14:29:40,315::CredServer::235::root::Token: 233938
Dummy-1::INFO::2012-11-30 14:29:40,315::CredServer::236::root::Opening credentials channel...
Dummy-1::INFO::2012-11-30 14:29:40,316::CredServer::103::root::Emitting user authenticated signal (233938).
CredChannel::INFO::2012-11-30 14:29:45,321::CredServer::205::root::Credentials channel timed out.
Dummy-1::INFO::2012-11-30 14:29:45,321::CredServer::240::root::Credentials channel was closed.
Dummy-1::DEBUG::2012-11-30 14:29:45,321::OVirtAgentLogic::121::root::AgentLogicBase::doListen() - in loop before vio.read
Dummy-2::DEBUG::2012-11-30 14:29:46,959::OVirtAgentLogic::169::root::AgentLogicBase::sendUserInfo - cur_user = 'root'
Comment 1 Michal Skrivanek 2012-11-30 09:22:04 EST
cannot reproduce so far
Comment 3 Michal Skrivanek 2012-12-10 06:46:59 EST
reproduced. Depends on SELinux fix of 885432...
Comment 9 David Jaša 2013-03-14 14:30:59 EDT
it seems not to be fixed in -4 (sf9, as the rest of my setup), but the reason may be that log in commands do not reach the guest agent at all:

Dummy-2::DEBUG::2013-03-14 19:16:25,346::OVirtAgentLogic::178::root::AgentLogicBase::sendUserInfo - cur_user = 'None'
Dummy-2::DEBUG::2013-03-14 19:16:25,503::GuestAgentLinux2::78::root::PkgMgr: list_pkgs returns [['kernel-2.6.32-358.el6', 'xorg-x11-drv-qxl-0.1.0-4.el6', 'rhevm-guest-agent-common-1.0.7-4.el6ev']]
Dummy-2::DEBUG::2013-03-14 19:16:35,696::OVirtAgentLogic::178::root::AgentLogicBase::sendUserInfo - cur_user = 'None'
Dummy-1::INFO::2013-03-14 19:16:37,160::OVirtAgentLogic::139::root::Received an external command: lock-screen...
Dummy-1::DEBUG::2013-03-14 19:16:37,161::GuestAgentLinux2::154::root::Executing lock session command: '['/usr/share/ovirt-guest-agent/ovirt-locksession']'
Dummy-1::DEBUG::2013-03-14 19:16:37,375::OVirtAgentLogic::130::root::AgentLogicBase::doListen() - in loop before vio.read
Dummy-1::INFO::2013-03-14 19:16:37,422::OVirtAgentLogic::139::root::Received an external command: lock-screen...
Dummy-1::DEBUG::2013-03-14 19:16:37,422::GuestAgentLinux2::154::root::Executing lock session command: '['/usr/share/ovirt-guest-agent/ovirt-locksession']'
Dummy-1::DEBUG::2013-03-14 19:16:37,585::OVirtAgentLogic::130::root::AgentLogicBase::doListen() - in loop before vio.read
Dummy-1::INFO::2013-03-14 19:16:37,588::OVirtAgentLogic::139::root::Received an external command: lock-screen...
Dummy-1::DEBUG::2013-03-14 19:16:37,589::GuestAgentLinux2::154::root::Executing lock session command: '['/usr/share/ovirt-guest-agent/ovirt-locksession']'
Dummy-1::DEBUG::2013-03-14 19:16:37,746::OVirtAgentLogic::130::root::AgentLogicBase::doListen() - in loop before vio.read
Dummy-1::INFO::2013-03-14 19:16:37,749::OVirtAgentLogic::139::root::Received an external command: lock-screen...
Dummy-1::DEBUG::2013-03-14 19:16:37,750::GuestAgentLinux2::154::root::Executing lock session command: '['/usr/share/ovirt-guest-agent/ovirt-locksession']'
Dummy-1::DEBUG::2013-03-14 19:16:37,979::OVirtAgentLogic::130::root::AgentLogicBase::doListen() - in loop before vio.read
Dummy-1::INFO::2013-03-14 19:16:37,982::OVirtAgentLogic::139::root::Received an external command: lock-screen...
Dummy-1::DEBUG::2013-03-14 19:16:37,983::GuestAgentLinux2::154::root::Executing lock session command: '['/usr/share/ovirt-guest-agent/ovirt-locksession']'
Dummy-1::DEBUG::2013-03-14 19:16:38,208::OVirtAgentLogic::130::root::AgentLogicBase::doListen() - in loop before vio.read
Dummy-1::INFO::2013-03-14 19:16:38,211::OVirtAgentLogic::139::root::Received an external command: lock-screen...
Dummy-1::DEBUG::2013-03-14 19:16:38,212::GuestAgentLinux2::154::root::Executing lock session command: '['/usr/share/ovirt-guest-agent/ovirt-locksession']'
Dummy-1::DEBUG::2013-03-14 19:16:38,400::OVirtAgentLogic::130::root::AgentLogicBase::doListen() - in loop before vio.read
Dummy-1::INFO::2013-03-14 19:16:38,403::OVirtAgentLogic::139::root::Received an external command: lock-screen...
Dummy-1::DEBUG::2013-03-14 19:16:38,404::GuestAgentLinux2::154::root::Executing lock session command: '['/usr/share/ovirt-guest-agent/ovirt-locksession']'
Dummy-1::DEBUG::2013-03-14 19:16:38,633::OVirtAgentLogic::130::root::AgentLogicBase::doListen() - in loop before vio.read
Dummy-1::INFO::2013-03-14 19:16:38,636::OVirtAgentLogic::139::root::Received an external command: lock-screen...
Dummy-1::DEBUG::2013-03-14 19:16:38,637::GuestAgentLinux2::154::root::Executing lock session command: '['/usr/share/ovirt-guest-agent/ovirt-locksession']'
Dummy-1::DEBUG::2013-03-14 19:16:38,827::OVirtAgentLogic::130::root::AgentLogicBase::doListen() - in loop before vio.read
Dummy-1::INFO::2013-03-14 19:16:40,486::OVirtAgentLogic::139::root::Received an external command: lock-screen...
Dummy-1::DEBUG::2013-03-14 19:16:40,487::GuestAgentLinux2::154::root::Executing lock session command: '['/usr/share/ovirt-guest-agent/ovirt-locksession']'
Dummy-1::DEBUG::2013-03-14 19:16:40,801::OVirtAgentLogic::130::root::AgentLogicBase::doListen() - in loop before vio.read
Dummy-1::INFO::2013-03-14 19:16:40,805::OVirtAgentLogic::139::root::Received an external command: lock-screen...
Dummy-1::DEBUG::2013-03-14 19:16:40,806::GuestAgentLinux2::154::root::Executing lock session command: '['/usr/share/ovirt-guest-agent/ovirt-locksession']'
Dummy-1::DEBUG::2013-03-14 19:16:40,998::OVirtAgentLogic::130::root::AgentLogicBase::doListen() - in loop before vio.read
Dummy-2::DEBUG::2013-03-14 19:16:45,857::OVirtAgentLogic::178::root::AgentLogicBase::sendUserInfo - cur_user = 'None'
Dummy-2::DEBUG::2013-03-14 19:16:55,919::OVirtAgentLogic::178::root::AgentLogicBase::sendUserInfo - cur_user = 'None'
Dummy-2::DEBUG::2013-03-14 19:17:05,951::OVirtAgentLogic::178::root::AgentLogicBase::sendUserInfo - cur_user = 'None'
Dummy-2::DEBUG::2013-03-14 19:17:16,025::OVirtAgentLogic::178::root::AgentLogicBase::sendUserInfo - cur_user = 'shadowman'

(user shadowman logged in just manually, domain user can log in manually as well)

vdsm log:
Thread-42533::DEBUG::2013-03-14 19:16:35,778::task::568::TaskManager.Task::(_updateState) Task=`a0dc254f-86c7-4116-ae34-f866f78dbde9`::moving from state init -> state preparing
Thread-42533::INFO::2013-03-14 19:16:35,779::logUtils::37::dispatcher::(wrapper) Run and protect: repoStats(options=None)
Thread-42533::INFO::2013-03-14 19:16:35,779::logUtils::39::dispatcher::(wrapper) Run and protect: repoStats, Return response: {u'ac1a77db-f916-4d1d-98b4-39aa0d2b0afe': {'delay': '0.0277161598206', 'lastCheck': '8.0', 'code': 0, 'valid': True}, u'9aa406d4-ded7-43f4-af90-7664ceb04d95': {'delay': '0.00769090652466', 'lastCheck': '3.9', 'code': 0, 'valid': True}}
Thread-42533::DEBUG::2013-03-14 19:16:35,780::task::1151::TaskManager.Task::(prepare) Task=`a0dc254f-86c7-4116-ae34-f866f78dbde9`::finished: {u'ac1a77db-f916-4d1d-98b4-39aa0d2b0afe': {'delay': '0.0277161598206', 'lastCheck': '8.0', 'code': 0, 'valid': True}, u'9aa406d4-ded7-43f4-af90-7664ceb04d95': {'delay': '0.00769090652466', 'lastCheck': '3.9', 'code': 0, 'valid': True}}
Thread-42533::DEBUG::2013-03-14 19:16:35,780::task::568::TaskManager.Task::(_updateState) Task=`a0dc254f-86c7-4116-ae34-f866f78dbde9`::moving from state preparing -> state finished
Thread-42533::DEBUG::2013-03-14 19:16:35,781::resourceManager::809::ResourceManager.Owner::(releaseAll) Owner.releaseAll requests {} resources {}
Thread-42533::DEBUG::2013-03-14 19:16:35,781::resourceManager::844::ResourceManager.Owner::(cancelAll) Owner.cancelAll requests {}
Thread-42533::DEBUG::2013-03-14 19:16:35,782::task::957::TaskManager.Task::(_decref) Task=`a0dc254f-86c7-4116-ae34-f866f78dbde9`::ref 0 aborting False
libvirtEventLoop::DEBUG::2013-03-14 19:16:36,999::libvirtconnection::80::vm.Vm::(__eventCallback) vmId=`ac4d5e27-f873-4aec-aa76-b87f7284152f`::graphics event phase 0 localAddr {'node': '10.34.58.2', 'service': '', 'family': 0} remoteAddr {'node': '10.34.131.112', 'service': '', 'family': 0}authScheme  subject []
libvirtEventLoop::DEBUG::2013-03-14 19:16:37,013::libvirtconnection::80::vm.Vm::(__eventCallback) vmId=`ac4d5e27-f873-4aec-aa76-b87f7284152f`::graphics event phase 2 localAddr {'node': '10.34.58.2', 'service': '', 'family': 0} remoteAddr {'node': '10.34.131.112', 'service': '', 'family': 0}authScheme  subject []
libvirtEventLoop::DEBUG::2013-03-14 19:16:37,014::guestIF::240::vm.Vm::(desktopLock) vmId=`ac4d5e27-f873-4aec-aa76-b87f7284152f`::desktopLock called
libvirtEventLoop::DEBUG::2013-03-14 19:16:37,017::libvirtconnection::80::vm.Vm::(__eventCallback) vmId=`ac4d5e27-f873-4aec-aa76-b87f7284152f`::graphics event phase 0 localAddr {'node': '10.34.58.2', 'service': '', 'family': 0} remoteAddr {'node': '10.34.131.112', 'service': '', 'family': 0}authScheme  subject []
libvirtEventLoop::DEBUG::2013-03-14 19:16:37,091::libvirtconnection::80::vm.Vm::(__eventCallback) vmId=`ac4d5e27-f873-4aec-aa76-b87f7284152f`::graphics event phase 1 localAddr {'node': '10.34.58.2', 'service': '', 'family': 0} remoteAddr {'node': '10.34.131.112', 'service': '', 'family': 0}authScheme spice subject []
libvirtEventLoop::DEBUG::2013-03-14 19:16:37,121::libvirtconnection::80::vm.Vm::(__eventCallback) vmId=`ac4d5e27-f873-4aec-aa76-b87f7284152f`::graphics event phase 0 localAddr {'node': '10.34.58.2', 'service': '', 'family': 0} remoteAddr {'node': '10.34.131.112', 'service': '', 'family': 0}authScheme  subject []
libvirtEventLoop::DEBUG::2013-03-14 19:16:37,122::libvirtconnection::80::vm.Vm::(__eventCallback) vmId=`ac4d5e27-f873-4aec-aa76-b87f7284152f`::graphics event phase 0 localAddr {'node': '10.34.58.2', 'service': '', 'family': 0} remoteAddr {'node': '10.34.131.112', 'service': '', 'family': 0}authScheme  subject []
libvirtEventLoop::DEBUG::2013-03-14 19:16:37,124::libvirtconnection::80::vm.Vm::(__eventCallback) vmId=`ac4d5e27-f873-4aec-aa76-b87f7284152f`::graphics event phase 0 localAddr {'node': '10.34.58.2', 'service': '', 'family': 0} remoteAddr {'node': '10.34.131.112', 'service': '', 'family': 0}authScheme  subject []
libvirtEventLoop::DEBUG::2013-03-14 19:16:37,125::libvirtconnection::80::vm.Vm::(__eventCallback) vmId=`ac4d5e27-f873-4aec-aa76-b87f7284152f`::graphics event phase 0 localAddr {'node': '10.34.58.2', 'service': '', 'family': 0} remoteAddr {'node': '10.34.131.112', 'service': '', 'family': 0}authScheme  subject []
libvirtEventLoop::DEBUG::2013-03-14 19:16:37,144::libvirtconnection::80::vm.Vm::(__eventCallback) vmId=`ac4d5e27-f873-4aec-aa76-b87f7284152f`::graphics event phase 0 localAddr {'node': '10.34.58.2', 'service': '', 'family': 0} remoteAddr {'node': '10.34.131.112', 'service': '', 'family': 0}authScheme  subject []
libvirtEventLoop::DEBUG::2013-03-14 19:16:37,147::libvirtconnection::80::vm.Vm::(__eventCallback) vmId=`ac4d5e27-f873-4aec-aa76-b87f7284152f`::graphics event phase 0 localAddr {'node': '10.34.58.2', 'service': '', 'family': 0} remoteAddr {'node': '10.34.131.112', 'service': '', 'family': 0}authScheme  subject []
libvirtEventLoop::DEBUG::2013-03-14 19:16:37,148::libvirtconnection::80::vm.Vm::(__eventCallback) vmId=`ac4d5e27-f873-4aec-aa76-b87f7284152f`::graphics event phase 2 localAddr {'node': '10.34.58.2', 'service': '', 'family': 0} remoteAddr {'node': '10.34.131.112', 'service': '', 'family': 0}authScheme  subject []
libvirtEventLoop::DEBUG::2013-03-14 19:16:37,148::guestIF::240::vm.Vm::(desktopLock) vmId=`ac4d5e27-f873-4aec-aa76-b87f7284152f`::desktopLock called
libvirtEventLoop::DEBUG::2013-03-14 19:16:37,149::libvirtconnection::80::vm.Vm::(__eventCallback) vmId=`ac4d5e27-f873-4aec-aa76-b87f7284152f`::graphics event phase 2 localAddr {'node': '10.34.58.2', 'service': '', 'family': 0} remoteAddr {'node': '10.34.131.112', 'service': '', 'family': 0}authScheme  subject []
libvirtEventLoop::DEBUG::2013-03-14 19:16:37,150::guestIF::240::vm.Vm::(desktopLock) vmId=`ac4d5e27-f873-4aec-aa76-b87f7284152f`::desktopLock called
libvirtEventLoop::DEBUG::2013-03-14 19:16:37,151::libvirtconnection::80::vm.Vm::(__eventCallback) vmId=`ac4d5e27-f873-4aec-aa76-b87f7284152f`::graphics event phase 2 localAddr {'node': '10.34.58.2', 'service': '', 'family': 0} remoteAddr {'node': '10.34.131.112', 'service': '', 'family': 0}authScheme  subject []
libvirtEventLoop::DEBUG::2013-03-14 19:16:37,151::guestIF::240::vm.Vm::(desktopLock) vmId=`ac4d5e27-f873-4aec-aa76-b87f7284152f`::desktopLock called
libvirtEventLoop::DEBUG::2013-03-14 19:16:37,152::libvirtconnection::80::vm.Vm::(__eventCallback) vmId=`ac4d5e27-f873-4aec-aa76-b87f7284152f`::graphics event phase 2 localAddr {'node': '10.34.58.2', 'service': '', 'family': 0} remoteAddr {'node': '10.34.131.112', 'service': '', 'family': 0}authScheme  subject []
libvirtEventLoop::DEBUG::2013-03-14 19:16:37,152::guestIF::240::vm.Vm::(desktopLock) vmId=`ac4d5e27-f873-4aec-aa76-b87f7284152f`::desktopLock called
libvirtEventLoop::DEBUG::2013-03-14 19:16:37,153::libvirtconnection::80::vm.Vm::(__eventCallback) vmId=`ac4d5e27-f873-4aec-aa76-b87f7284152f`::graphics event phase 2 localAddr {'node': '10.34.58.2', 'service': '', 'family': 0} remoteAddr {'node': '10.34.131.112', 'service': '', 'family': 0}authScheme  subject []
libvirtEventLoop::DEBUG::2013-03-14 19:16:37,154::guestIF::240::vm.Vm::(desktopLock) vmId=`ac4d5e27-f873-4aec-aa76-b87f7284152f`::desktopLock called
libvirtEventLoop::DEBUG::2013-03-14 19:16:37,155::libvirtconnection::80::vm.Vm::(__eventCallback) vmId=`ac4d5e27-f873-4aec-aa76-b87f7284152f`::graphics event phase 2 localAddr {'node': '10.34.58.2', 'service': '', 'family': 0} remoteAddr {'node': '10.34.131.112', 'service': '', 'family': 0}authScheme  subject []
libvirtEventLoop::DEBUG::2013-03-14 19:16:37,155::guestIF::240::vm.Vm::(desktopLock) vmId=`ac4d5e27-f873-4aec-aa76-b87f7284152f`::desktopLock called
libvirtEventLoop::DEBUG::2013-03-14 19:16:37,156::libvirtconnection::80::vm.Vm::(__eventCallback) vmId=`ac4d5e27-f873-4aec-aa76-b87f7284152f`::graphics event phase 0 localAddr {'node': '10.34.58.2', 'service': '', 'family': 0} remoteAddr {'node': '10.34.131.112', 'service': '', 'family': 0}authScheme  subject []
libvirtEventLoop::DEBUG::2013-03-14 19:16:37,157::libvirtconnection::80::vm.Vm::(__eventCallback) vmId=`ac4d5e27-f873-4aec-aa76-b87f7284152f`::graphics event phase 2 localAddr {'node': '10.34.58.2', 'service': '', 'family': 0} remoteAddr {'node': '10.34.131.112', 'service': '', 'family': 0}authScheme  subject []
libvirtEventLoop::DEBUG::2013-03-14 19:16:37,157::guestIF::240::vm.Vm::(desktopLock) vmId=`ac4d5e27-f873-4aec-aa76-b87f7284152f`::desktopLock called
libvirtEventLoop::DEBUG::2013-03-14 19:16:37,158::libvirtconnection::80::vm.Vm::(__eventCallback) vmId=`ac4d5e27-f873-4aec-aa76-b87f7284152f`::graphics event phase 0 localAddr {'node': '10.34.58.2', 'service': '', 'family': 0} remoteAddr {'node': '10.34.131.112', 'service': '', 'family': 0}authScheme  subject []
libvirtEventLoop::DEBUG::2013-03-14 19:16:37,160::libvirtconnection::80::vm.Vm::(__eventCallback) vmId=`ac4d5e27-f873-4aec-aa76-b87f7284152f`::graphics event phase 0 localAddr {'node': '10.34.58.2', 'service': '', 'family': 0} remoteAddr {'node': '10.34.131.112', 'service': '', 'family': 0}authScheme  subject []
libvirtEventLoop::DEBUG::2013-03-14 19:16:37,289::libvirtconnection::80::vm.Vm::(__eventCallback) vmId=`ac4d5e27-f873-4aec-aa76-b87f7284152f`::graphics event phase 0 localAddr {'node': '10.34.58.2', 'service': '', 'family': 0} remoteAddr {'node': '10.34.131.112', 'service': '', 'family': 0}authScheme  subject []
libvirtEventLoop::DEBUG::2013-03-14 19:16:37,292::libvirtconnection::80::vm.Vm::(__eventCallback) vmId=`ac4d5e27-f873-4aec-aa76-b87f7284152f`::graphics event phase 1 localAddr {'node': '10.34.58.2', 'service': '', 'family': 0} remoteAddr {'node': '10.34.131.112', 'service': '', 'family': 0}authScheme spice subject []
libvirtEventLoop::DEBUG::2013-03-14 19:16:37,307::libvirtconnection::80::vm.Vm::(__eventCallback) vmId=`ac4d5e27-f873-4aec-aa76-b87f7284152f`::graphics event phase 1 localAddr {'node': '10.34.58.2', 'service': '', 'family': 0} remoteAddr {'node': '10.34.131.112', 'service': '', 'family': 0}authScheme spice subject []
libvirtEventLoop::DEBUG::2013-03-14 19:16:37,308::libvirtconnection::80::vm.Vm::(__eventCallback) vmId=`ac4d5e27-f873-4aec-aa76-b87f7284152f`::graphics event phase 0 localAddr {'node': '10.34.58.2', 'service': '', 'family': 0} remoteAddr {'node': '10.34.131.112', 'service': '', 'family': 0}authScheme  subject []
libvirtEventLoop::DEBUG::2013-03-14 19:16:37,445::libvirtconnection::80::vm.Vm::(__eventCallback) vmId=`ac4d5e27-f873-4aec-aa76-b87f7284152f`::graphics event phase 0 localAddr {'node': '10.34.58.2', 'service': '', 'family': 0} remoteAddr {'node': '10.34.131.112', 'service': '', 'family': 0}authScheme  subject []
libvirtEventLoop::DEBUG::2013-03-14 19:16:37,448::libvirtconnection::80::vm.Vm::(__eventCallback) vmId=`ac4d5e27-f873-4aec-aa76-b87f7284152f`::graphics event phase 1 localAddr {'node': '10.34.58.2', 'service': '', 'family': 0} remoteAddr {'node': '10.34.131.112', 'service': '', 'family': 0}authScheme spice subject []
libvirtEventLoop::DEBUG::2013-03-14 19:16:37,463::libvirtconnection::80::vm.Vm::(__eventCallback) vmId=`ac4d5e27-f873-4aec-aa76-b87f7284152f`::graphics event phase 1 localAddr {'node': '10.34.58.2', 'service': '', 'family': 0} remoteAddr {'node': '10.34.131.112', 'service': '', 'family': 0}authScheme spice subject []
libvirtEventLoop::DEBUG::2013-03-14 19:16:37,464::libvirtconnection::80::vm.Vm::(__eventCallback) vmId=`ac4d5e27-f873-4aec-aa76-b87f7284152f`::graphics event phase 0 localAddr {'node': '10.34.58.2', 'service': '', 'family': 0} remoteAddr {'node': '10.34.131.112', 'service': '', 'family': 0}authScheme  subject []
libvirtEventLoop::DEBUG::2013-03-14 19:16:37,751::libvirtconnection::80::vm.Vm::(__eventCallback) vmId=`ac4d5e27-f873-4aec-aa76-b87f7284152f`::graphics event phase 1 localAddr {'node': '10.34.58.2', 'service': '', 'family': 0} remoteAddr {'node': '10.34.131.112', 'service': '', 'family': 0}authScheme spice subject []
libvirtEventLoop::DEBUG::2013-03-14 19:16:37,752::libvirtconnection::80::vm.Vm::(__eventCallback) vmId=`ac4d5e27-f873-4aec-aa76-b87f7284152f`::graphics event phase 1 localAddr {'node': '10.34.58.2', 'service': '', 'family': 0} remoteAddr {'node': '10.34.131.112', 'service': '', 'family': 0}authScheme spice subject []
Thread-35::DEBUG::2013-03-14 19:16:37,792::misc::83::Storage.Misc.excCmd::(<lambda>) '/bin/dd iflag=direct if=/dev/ac1a77db-f916-4d1d-98b4-39aa0d2b0afe/metadata bs=4096 count=1' (cwd None)
Thread-35::DEBUG::2013-03-14 19:16:37,813::misc::83::Storage.Misc.excCmd::(<lambda>) SUCCESS: <err> = '1+0 records in\n1+0 records out\n4096 bytes (4.1 kB) copied, 0.000481901 s, 8.5 MB/s\n'; <rc> = 0
libvirtEventLoop::DEBUG::2013-03-14 19:16:38,159::libvirtconnection::80::vm.Vm::(__eventCallback) vmId=`ac4d5e27-f873-4aec-aa76-b87f7284152f`::graphics event phase 0 localAddr {'node': '10.34.58.2', 'service': '', 'family': 0} remoteAddr {'node': '10.34.131.112', 'service': '', 'family': 0}authScheme  subject []
libvirtEventLoop::DEBUG::2013-03-14 19:16:38,446::libvirtconnection::80::vm.Vm::(__eventCallback) vmId=`ac4d5e27-f873-4aec-aa76-b87f7284152f`::graphics event phase 1 localAddr {'node': '10.34.58.2', 'service': '', 'family': 0} remoteAddr {'node': '10.34.131.112', 'service': '', 'family': 0}authScheme spice subject []
libvirtEventLoop::DEBUG::2013-03-14 19:16:40,344::libvirtconnection::80::vm.Vm::(__eventCallback) vmId=`ac4d5e27-f873-4aec-aa76-b87f7284152f`::graphics event phase 0 localAddr {'node': '10.34.58.2', 'service': '', 'family': 0} remoteAddr {'node': '10.34.131.112', 'service': '', 'family': 0}authScheme  subject []
libvirtEventLoop::DEBUG::2013-03-14 19:16:40,346::libvirtconnection::80::vm.Vm::(__eventCallback) vmId=`ac4d5e27-f873-4aec-aa76-b87f7284152f`::graphics event phase 0 localAddr {'node': '10.34.58.2', 'service': '', 'family': 0} remoteAddr {'node': '10.34.131.112', 'service': '', 'family': 0}authScheme  subject []
libvirtEventLoop::DEBUG::2013-03-14 19:16:40,348::libvirtconnection::80::vm.Vm::(__eventCallback) vmId=`ac4d5e27-f873-4aec-aa76-b87f7284152f`::graphics event phase 2 localAddr {'node': '10.34.58.2', 'service': '', 'family': 0} remoteAddr {'node': '10.34.131.112', 'service': '', 'family': 0}authScheme  subject []
libvirtEventLoop::DEBUG::2013-03-14 19:16:40,349::guestIF::240::vm.Vm::(desktopLock) vmId=`ac4d5e27-f873-4aec-aa76-b87f7284152f`::desktopLock called
libvirtEventLoop::DEBUG::2013-03-14 19:16:40,350::libvirtconnection::80::vm.Vm::(__eventCallback) vmId=`ac4d5e27-f873-4aec-aa76-b87f7284152f`::graphics event phase 2 localAddr {'node': '10.34.58.2', 'service': '', 'family': 0} remoteAddr {'node': '10.34.131.112', 'service': '', 'family': 0}authScheme  subject []
libvirtEventLoop::DEBUG::2013-03-14 19:16:40,350::guestIF::240::vm.Vm::(desktopLock) vmId=`ac4d5e27-f873-4aec-aa76-b87f7284152f`::desktopLock called
libvirtEventLoop::DEBUG::2013-03-14 19:16:40,394::libvirtconnection::80::vm.Vm::(__eventCallback) vmId=`ac4d5e27-f873-4aec-aa76-b87f7284152f`::graphics event phase 0 localAddr {'node': '10.34.58.2', 'service': '', 'family': 0} remoteAddr {'node': '10.34.131.112', 'service': '', 'family': 0}authScheme  subject []
libvirtEventLoop::DEBUG::2013-03-14 19:16:40,395::libvirtconnection::80::vm.Vm::(__eventCallback) vmId=`ac4d5e27-f873-4aec-aa76-b87f7284152f`::graphics event phase 0 localAddr {'node': '10.34.58.2', 'service': '', 'family': 0} remoteAddr {'node': '10.34.131.112', 'service': '', 'family': 0}authScheme  subject []
libvirtEventLoop::DEBUG::2013-03-14 19:16:40,664::libvirtconnection::80::vm.Vm::(__eventCallback) vmId=`ac4d5e27-f873-4aec-aa76-b87f7284152f`::graphics event phase 1 localAddr {'node': '10.34.58.2', 'service': '', 'family': 0} remoteAddr {'node': '10.34.131.112', 'service': '', 'family': 0}authScheme spice subject []
libvirtEventLoop::DEBUG::2013-03-14 19:16:40,669::libvirtconnection::80::vm.Vm::(__eventCallback) vmId=`ac4d5e27-f873-4aec-aa76-b87f7284152f`::graphics event phase 1 localAddr {'node': '10.34.58.2', 'service': '', 'family': 0} remoteAddr {'node': '10.34.131.112', 'service': '', 'family': 0}authScheme spice subject []

guest/host clock difference (measured from guest):
# ntpdate -q 10.34.58.2
server 10.34.58.2, stratum 2, offset -0.082451, delay 0.02592
14 Mar 19:29:49 ntpdate[4369]: adjust time server 10.34.58.2 offset -0.082451 sec
Comment 10 Jiri Belka 2013-03-14 14:51:34 EDT
Created attachment 710158 [details]
vdsm.log, ovirt-guest-agent.log

SSO doesn't work even with sf10.1 version:

rhevm-guest-agent-common-1.0.7-5.el6ev.noarch
rhevm-guest-agent-pam-module-1.0.7-5.el6ev.x86_64
rhevm-guest-agent-gdm-plugin-1.0.7-5.el6ev.x86_64

it has been broken since 1.0.7-4 iirc

instead of logging in, there's just login screen with the user which tries to do SSO.

putting back to ASSIGNED as 1.0.7-3 cannot be verified fully (see BZ905930).
Comment 11 David Jaša 2013-03-16 12:47:29 EDT
see also bug 922398
Comment 13 Cheryn Tan 2013-04-09 00:17:30 EDT
This bug is currently attached to errata RHEA-2013:14354. If this change is not to be documented in the text for this errata please either remove it from the errata, set the requires_doc_text flag to minus (-), or leave a "Doc Text" value of "--no tech note required" if you do not have permission to alter the flag.

Otherwise to aid in the development of relevant and accurate release documentation, please fill out the "Doc Text" field above with these four (4) pieces of information:

* Cause: What actions or circumstances cause this bug to present.

* Consequence: What happens when the bug presents.

* Fix: What was done to fix the bug.

* Result: What now happens when the actions or circumstances above occur. (NB: this is not the same as 'the bug doesn't present anymore')

Once filled out, please set the "Doc Type" field to the appropriate value for the type of change made and submit your edits to the bug.

For further details on the Cause, Consequence, Fix, Result format please refer to:

https://bugzilla.redhat.com/page.cgi?id=fields.html#cf_release_notes

Thanks in advance.
Comment 14 Vinzenz Feenstra [evilissimo] 2013-04-17 07:11:24 EDT
*** Bug 928860 has been marked as a duplicate of this bug. ***
Comment 15 Vinzenz Feenstra [evilissimo] 2013-04-17 07:17:53 EDT
Putting back to modified since the dependent bug has been fixed.

Updated the DOC info.
Comment 16 Jiri Belka 2013-05-02 05:41:40 EDT
OK, rhevm-guest-agent-1.0.7-11.el6ev.
Comment 17 errata-xmlrpc 2013-06-10 16:10:26 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHEA-2013-0914.html

Note You need to log in before you can comment on or make changes to this bug.